Initialisation of the main state
Using libmp3splt
Collaboration diagram for Initialisation of the main state:

## Typedefs

typedef struct _splt_state | splt_state

## Functions

splt_code | mp3splt_append_plugins_scan_dir (splt_state *state, const char *directory)
splt_code | mp3splt_find_plugins (splt_state *state)
splt_code | mp3splt_free_state (splt_state *state)
splt_state * | mp3splt_new_state (splt_code *error)

## Detailed Description

## Typedef Documentation

typedef struct _splt_state splt_state

Main structure used in libmp3splt.

All members are private.

See Also
  mp3splt_new_state, mp3splt_free_state

Definition at line 223 of file mp3splt.h.

## Function Documentation

splt_code mp3splt_append_plugins_scan_dir | ( | splt_state * | state,
|  | const char * | directory
| ) |  |

Appends an additional directory where plugins are searched.

Parameters

  [in] | state | Main state.
  [in] | directory | Additional directory where plugins will be searched.

Returns
  Possible error.

See Also
  mp3splt_find_plugins

splt_code mp3splt_find_plugins | ( | splt_state * | state | ) |

Finds the plugins in the plugins directories.

This function must be called after the `state` initialisation.

Parameters

  [in] | state | Main state.

Returns
  Possible error.

See Also
  mp3splt_append_plugins_scan_dir

splt_code mp3splt_free_state | ( | splt_state * | state | ) |

Free the memory of the `state`.

Parameters

  [in] | state | Main state to be freed.

Returns
  Possible error.

See Also
  mp3splt_new_state

splt_state* mp3splt_new_state | ( | splt_code * | error | ) |

Creates a new splt_state structure.

Note
  mp3splt_find_plugins must to be called after.

Parameters

  [out] | error | Possible error; can be NULL.

Returns
  A newly allocated splt_state.

See Also
  mp3splt_free_state